#coding: utf-8

import hashlib
import psutil


def collect():    
    result = {}
    io_counters = psutil.disk_io_counters(perdisk=True)

    for disk_id in io_counters.keys():
        m = hashlib.md5()
        m.update(disk_id)
        name_hash = m.hexdigest()

        result[name_hash] = {
            'disk': disk_id
        }

    return result
